Subject: Re: [PATCH] powerpc: Specify GPIO number base for controller in DT

From: Matt Sealey <[email-masked]>
Date: Thu, 23 Oct 2008 16:35:11 -0500

Kumar Gala wrote:
> 
> On Oct 23, 2008, at 7:27 AM, Wolfgang Ocker wrote:
> 
>> The GPIOLIB allows the specification of a base gpio number for a
>> controller. That is not possible using OF. Instead, free gpio numbers
>> are assigned.
>>
>> In order to allow static, predefined gpio numbers, a base property in
>> the gpio controller node specifies the first gpio number.

See my latest mail.

I don't think it's enough to say which pin the GPIOs exposed 
start at; you need some sort of mask, or array of applicable 
GPIOs so that GPIOLIB can check which perhaps 3 pins out of a 
possible 32 are allocated to a controller and usable (these 
may be pin 5, pin 9 and pin 20, so a "base" of pin 5 would be 
outrageously inadequate).

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations